> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trlyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get physical asset by ID



## OpenAPI

````yaml https://api.trlyr.com/physical-assets/docs/doc.json get /physical-assets/{physicalAssetID}
openapi: 3.1.0
info:
  description: >
    This API manages physical assets on the terralayr platform: asset
    parameters, schedules, ancillary bids and results, metadata, logbook
    entries, unavailabilities, and EEX notifications. 
     
    Endpoints documented here require a valid Bearer token and the appropriate
    organisation permissions for the physical asset. 
     
    ### Authorization 
     
    All documented endpoints require a Bearer-type `Authorization` header: 
     
    ``` 

    Authorization: Bearer <YOUR_TOKEN> 

    ``` 
     
    Obtain a token via the Auth API: 
     
    ``` 

    POST https://api.trlyr.com/auth/public/authenticate 

    ``` 
     
    Example POST body: 
     
    ``` 

    { 
        "username": "YOUR_USERNAME", 
        "password": "YOUR_PASSWORD" 
    } 

    ``` 
     
     
    If you have any questions, contact support@trlyr.com. 
  title: terralayr Physical Assets API
  version: 1.0.0
servers:
  - description: Production API
    url: https://api.trlyr.com
  - description: Sandbox API
    url: https://api.sandbox.trlyr.com
security: []
tags:
  - name: health
  - name: physical-assets
  - name: schedule
  - name: ancillary
  - name: metadata
  - name: logbook
  - name: eex
externalDocs:
  description: ''
  url: ''
paths:
  /physical-assets/{physicalAssetID}:
    get:
      tags:
        - physical-assets
      summary: Get physical asset by ID
      parameters:
        - description: Access token
          in: header
          name: Authorization
          required: true
          schema:
            default: Bearer <access token value>
            type: string
        - description: Physical asset ID
          in: path
          name: physicalAssetID
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/pkg_models_http_v0_responses.PhysicalAssetResponseBody
          description: OK
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    pkg_models_http_v0_responses.PhysicalAssetResponseBody:
      properties:
        ancillaryParameters:
          $ref: '#/components/schemas/entity.AncillaryParameters'
        chargeEfficiency:
          type: number
        deliveryZoneIdentifier:
          $ref: '#/components/schemas/deliveryzone.Identifier'
        designatedOptimiserIdentifier:
          $ref: '#/components/schemas/optimiser.Identifier'
        dischargeEfficiency:
          type: number
        energyCapacity:
          type: number
        id:
          format: uuid
          type: string
        name:
          type: string
        rampRate:
          type: number
        ratedChargePower:
          type: number
        ratedDischargePower:
          type: number
      type: object
    entity.AncillaryParameters:
      type: object
    deliveryzone.Identifier:
      enum:
        - 50Hertz
        - tennet
        - amprion
      type: string
      x-enum-varnames:
        - _50HertzIdentifier
        - tennetIdentifier
        - amprionIdentifier
    optimiser.Identifier:
      enum:
        - NULL_OPTIMISER
        - SWDU
        - TMH
        - entrix
        - trlyr
      type: string
      x-enum-varnames:
        - NullIdentifier
        - swduIdentifier
        - tmhIdentifier
        - entrixIdentifier
        - trlyrIdentifier

````